Recuperar um registro de conexão do workspace
Retorna o detalhe de um registro de conexão de workspace da organização autorizada.
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"user": "DOMAIN\\\\user",
"workspace_id": "507f1f77bcf86cd799439011",
"start": "2026-09-01T08:00:00.000Z",
"end": "2026-09-01T18:00:00.000Z",
"device_kind": "physical",
"machine_type": "session_host",
"endpoint": "client-01",
"is_reconnect": false,
"subscription_broker": "broker-1",
"pool_name": "pool-a",
"agent_delivery_group_name": "adg-1",
"broker": "azure_virtual_desktop",
"connection_id": 42,
"current_dc_name": "dc-1",
"hypervisor": "microsoft_azure",
"session_key": "session-key-1",
"session_type": "vdi_desktop",
"organization_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "Parámetros de solicitud no válidos.",
"code": "BAD_REQUEST",
"details": "per_page must be less than or equal to 100"
}
}{
"error": {
"message": "No autorizado.",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "Recurso no encontrado.",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "Límite de solicitudes excedido.",
"code": "TOO_MANY_REQUESTS"
}
}{
"error": {
"message": "Error interno del servidor.",
"code": "INTERNAL_SERVER_ERROR"
}
}{
"error": {
"message": "Database unavailable",
"code": "SERVICE_UNAVAILABLE"
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
24^[0-9a-f]{24}$Identificador do registro de conexão.
36^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Parâmetros de consulta
Campos de resposta separados por vírgulas.
2048Resposta
Registro de conexão recuperado com sucesso.
Identificador do registro de conexão (FWS ADObjectVMConnectionInfo.Oid).
Conta de usuário com domínio.
Identificador Portal do workspace associado.
24^[0-9a-f]{24}$Início da conexão em UTC.
Fim da conexão em UTC.
Tipo de dispositivo.
virtual, physical Tipo de máquina / virtualização.
not_available, session_host, desktop_template_definition, infrastructure_vm, template_definition_surrogate, device, server, vdi_appliance, application_template_definition, application_server, end_point Nome do endpoint / máquina cliente.
Indica se a conexão é uma reconexão.
Nome do broker de assinatura.
Nome do pool.
Nome do grupo de entrega do agente.
Broker da sessão.
no_broker_detected, azure_virtual_desktop, citrix_on-premises, citrix_daas, amazon_workspaces, vmware_horizon, parallels_ras, windows_365, rdsh, uds Identificador numérico de conexão (não é o id de caminho).
Nome do controlador de domínio atual.
Hipervisor.
unknown, physical, microsoft_azure, microsoft_hyper-v, vmware_vsphere, amazon_web_services, nutanix, citrix_hypervisor, oracle_cloud, google_cloud Chave de sessão.
Tipo de sessão.
vdi_desktop, application, sdi_desktop, device Identificador da organização associada.
24^[0-9a-f]{24}$curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/connection-logs/{connection_log_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"user": "DOMAIN\\\\user",
"workspace_id": "507f1f77bcf86cd799439011",
"start": "2026-09-01T08:00:00.000Z",
"end": "2026-09-01T18:00:00.000Z",
"device_kind": "physical",
"machine_type": "session_host",
"endpoint": "client-01",
"is_reconnect": false,
"subscription_broker": "broker-1",
"pool_name": "pool-a",
"agent_delivery_group_name": "adg-1",
"broker": "azure_virtual_desktop",
"connection_id": 42,
"current_dc_name": "dc-1",
"hypervisor": "microsoft_azure",
"session_key": "session-key-1",
"session_type": "vdi_desktop",
"organization_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "Parámetros de solicitud no válidos.",
"code": "BAD_REQUEST",
"details": "per_page must be less than or equal to 100"
}
}{
"error": {
"message": "No autorizado.",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "Recurso no encontrado.",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "Límite de solicitudes excedido.",
"code": "TOO_MANY_REQUESTS"
}
}{
"error": {
"message": "Error interno del servidor.",
"code": "INTERNAL_SERVER_ERROR"
}
}{
"error": {
"message": "Database unavailable",
"code": "SERVICE_UNAVAILABLE"
}
}